// Swarm library. Copyright (C) 1996 Santa Fe Institute.
// This library is distributed without any warranty; without even the
// implied warranty of merchantability or fitness for a particular purpose.
// See file LICENSE for details and terms of copying.

#import <swarmobject/SwarmObject.h>

// Sven's tweak to OutFile: 
// this object opens the designated file in 'append' mode
// rather than 'create' mode, thus not wiping out
// an existing file.

@interface AppendFile : SwarmObject {
  FILE *theFile ;
}

+create: aZone withName: (char *) theName ;

-_setFile_: (FILE *) aFile ;

-putString: (char *) aString ;
-putInt: (int) anInt ;
-putUnsigned: (unsigned) anUnsigned;
-putLong: (long) aLong ;
-putUnsignedLong: (unsigned long) anUnsLong ;
-putDouble: (double) aDouble ;
-putFloat: (float) aFloat ;
-putChar: (char) aChar ;
-putTab ;
-putNewLine ;

@end
