// Swarm library. Copyright (C) 1997 Santa Fe Institute.
// This library is distributed without any warranty; without even the
// implied warranty of merchantability or fitness for a particular purpose.
// See file LICENSE for details and terms of copying.

// QSort -> QuickSorts a collection!

#import <swarmobject/SwarmObject.h>

// Sven's tweak to Manor's fix to QSort
// Here I've added a method that reverses the order
// of the given collection.

@interface QSortA : SwarmObject {		// Sort in ASCENDING order
}

+(void) sortObjectsIn: aCollection ;
+(void) sortObjectsIn: aCollection using: (SEL) aSelector ;
+(void) sortNumbersIn: aCollection ;
+(void) sortNumbersIn: aCollection
                using: (int(*)(const void*,const void*)) comp_fun ;

// Added by Sven:
+(void) reverseOrderOf: aCollection;

@end
